# ---------------------------
# Distribution workflow
# ---------------------------


include:
  - project: computing/gitlab-ci-templates
    file:
      - python.yml


# -- dist -------------------
#
# This job makes the igwn-lldd-common-X.Y.Z.tar.gz
# distribution and uploads it as a job
# artifact
#

tarball:
  extends:
    # https://computing.docs.ligo.org/gitlab-ci-templates/python/#.python:build
    - .python:build
  image: python:3
  stage: Source distribution
